Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.beans
Class SqlStatementSubstitutionRuleConfig

    java.lang.Object
      com.bea.dsp.management.beans.SqlStatementSubstitutionRuleConfig

All Implemented Interfaces:
  Validatable, java.io.Serializable

    public final class SqlStatementSubstitutionRuleConfig

extends java.lang.Object
implements java.io.Serializable, Validatable

Configuration used for substituting at runtime generated sql by user specified sql.

See Also:
  Serialized Form

Constructor Summary
`SqlStatementSubstitutionRuleConfig(java.lang.String substitutionName, java.lang.String generatedSqlStatement, java.lang.String substitutedSqlStatement, java.lang.String createdBy, java.util.Calendar creationDate)`

Method Summary
`java.lang.String` | `getCreatedBy()` Returns the user who created this configuration.
`java.util.Calendar` | `getCreationDate()` Returns the date and time when this configuration was created.
`java.lang.String` | `getDescription()` Returns the user specified description for this configuration.
`java.lang.String` | `getGeneratedSqlStatement()` Returns the generated sql which should be substituted at rumtime.
`java.lang.String` | `getLastModifiedBy()` Returns the name of the user who modified this configuration last.
`java.util.Calendar` | `getLastModifiedDate()` Returns the date and time when this configuration was last modified.
`java.lang.String` | `getSubstitutedSqlStatement()` Retruns the sql that should substitute the generated sql.
`java.lang.String` | `getSubstitutionName()` Returns the name for this configuration.
`boolean` | `isEnabled()` Returns `true` if this configuration is enabled.
`void` | `setDescription(java.lang.String description)`
`void` | `setEnabled(boolean enabled)`
`void` | `setLastModifiedBy(java.lang.String lastModifiedBy)`
`void` | `setLastModifiedDate(java.util.Calendar lastModifiedDate)`
`java.lang.String` | `toString()`
`void` | `validate()` Validates bean specific attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SqlStatementSubstitutionRuleConfig

    public SqlStatementSubstitutionRuleConfig(java.lang.String substitutionName,
                                              java.lang.String generatedSqlStatement,
                                              java.lang.String substitutedSqlStatement,
                                              java.lang.String createdBy,
                                              java.util.Calendar creationDate)

Method Detail

### getCreatedBy

    public java.lang.String getCreatedBy()

  Returns the user who created this configuration.

  Returns:
    the user who created this configuration

### getCreationDate

    public java.util.Calendar getCreationDate()

  Returns the date and time when this configuration was created.

  Returns:
    the date and time when this configuration was created

### getGeneratedSqlStatement

    public java.lang.String getGeneratedSqlStatement()

  Returns the generated sql which should be substituted at rumtime.

  Returns:
    the generated sql

### getSubstitutedSqlStatement

    public java.lang.String getSubstitutedSqlStatement()

  Retruns the sql that should substitute the generated sql.

  Returns:
    the substituted sql

### getSubstitutionName

    public java.lang.String getSubstitutionName()

  Returns the name for this configuration.

  Returns:
    name

### getDescription

    public java.lang.String getDescription()

  Returns the user specified description for this configuration.

  Returns:
    description

### setDescription

    public void setDescription(java.lang.String description)

### isEnabled

    public boolean isEnabled()

  Returns `true` if this configuration is enabled.

  Returns:
    `true` if this configuration is enabled

### setEnabled

    public void setEnabled(boolean enabled)

### getLastModifiedBy

    public java.lang.String getLastModifiedBy()

  Returns the name of the user who modified this configuration last.

  Returns:
    the name of the user who modified this configuration last

### setLastModifiedBy

    public void setLastModifiedBy(java.lang.String lastModifiedBy)

### getLastModifiedDate

    public java.util.Calendar getLastModifiedDate()

  Returns the date and time when this configuration was last modified.

  Returns:
    the date and time when this configuration was last modified

### setLastModifiedDate

    public void setLastModifiedDate(java.util.Calendar lastModifiedDate)

### validate

    public void validate()
                  throws ValidationException

  Description copied from interface: `Validatable`
  Validates bean specific attributes.

  Specified by:
    `validate` in interface `Validatable`
  Throws:
    `ValidationException` - if the validation fails.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.